> ## Documentation Index
> Fetch the complete documentation index at: https://docs.causeloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload Data Source Endpoint

> B5 — multipart file upload via the UploadStore seam. UPLOAD_MAX_BYTES
enforced server-side (413 over cap).



## OpenAPI

````yaml /openapi.json post /v1/provisioning/client-profiles/{client_id}/data-sources/{ds_id}/upload
openapi: 3.1.0
info:
  description: Causeloop Platform Backend
  title: Causeloop API
  version: 1.0.0
servers: []
security: []
paths:
  /v1/provisioning/client-profiles/{client_id}/data-sources/{ds_id}/upload:
    post:
      tags:
        - provisioning-portal
      summary: Upload Data Source Endpoint
      description: |-
        B5 — multipart file upload via the UploadStore seam. UPLOAD_MAX_BYTES
        enforced server-side (413 over cap).
      operationId: >-
        upload_data_source_endpoint_v1_provisioning_client_profiles__client_id__data_sources__ds_id__upload_post
      parameters:
        - in: path
          name: client_id
          required: true
          schema:
            title: Client Id
            type: string
        - in: path
          name: ds_id
          required: true
          schema:
            title: Ds Id
            type: string
      requestBody:
        content:
          multipart/form-data:
            schema:
              $ref: >-
                #/components/schemas/Body_upload_data_source_endpoint_v1_provisioning_client_profiles__client_id__data_sources__ds_id__upload_post
        required: true
      responses:
        '200':
          content:
            application/json:
              schema: {}
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    Body_upload_data_source_endpoint_v1_provisioning_client_profiles__client_id__data_sources__ds_id__upload_post:
      properties:
        file:
          contentMediaType: application/octet-stream
          title: File
          type: string
      required:
        - file
      title: >-
        Body_upload_data_source_endpoint_v1_provisioning_client_profiles__client_id__data_sources__ds_id__upload_post
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````